Description

In #6530 and #6440, we added features to update DOI registrations, but we still have many originally assigned DOls that redirect to
the raw EML document rather than our landing page for a data set. We need to fix all of the /AA/ DOI registrations in the KNB and
ensure they point to the right View service page. For DOlIs for metadata, that would be the associated /view url for that DOI. For
data files and resource maps, its to the view for the associated metadata. E.g.,

e Metadata doi:10.5063/AA/nceas.227.15 should redirect to https://knb.ecoinformatics.org/#view/doi:10.5063/AA/nceas.227.15
e Data doi:10.5063/AA/wtyburczy.30.1 should redirect to the same metadata file
https://knb.ecoinformatics.org/#view/doi:10.5063/AA/nceas.227.15

Also, when a user updates metadata for a package (but doesn't change the data), the DOI redirect for the data will need to be
updated to point to the new metadata. Let's verify that this is happening automatically in Metacat.

Related issues:

Related to Metacat - Story #6440: Keep DOl registrations current and resolvable Closed
Related to MetacatUI - Feature #6646: Redirect users to the Metadata view whe... Resolved 01/14/2015
History

#1 - 07/02/2015 12:46 PM - Lauren Walker

MetacatUl 1.7.0 will redirect to the associated metadata view for any given data pid. So managing the EZID registrations for those DOI's, at least, is
unnecessary.

#2 - 01/25/2016 07:33 AM - ben leinfelder
- Priority changed from Normal to High

Megan Force at Thompson Reuters is reporting our old DOls still point to XML representations of the metadata rather than the #view landing page.

#3 - 01/25/2016 07:48 AM - ben leinfelder

- Status changed from New to In Progress

| was able to use our Metacat admin tool to update an example DOI - doi:10.5063/AA/dpennington.338.2 now points to the #view page.
Running the update routine for all EML format ids now.

#4 - 01/25/2016 10:16 AM - ben leinfelder
Ran the DOI updater for EML 2.0.0, 2.0.1, 2.1.0, and 2.1.1 formats. All EML DOls should be resolving to the #view endpoint now.
